void initPoly3(Polygon& p)
{
	p.nb=90;
	p.p[0]={372.201843,250.000000};
	p.p[1]={364.492737,262.908997};
	p.p[2]={355.140625,273.650146};
	p.p[3]={348.015320,282.933533};
	p.p[4]={336.038818,288.321350};
	p.p[5]={378.483368,320.996063};
	p.p[6]={388.516205,341.003845};
	p.p[7]={382.406219,350.382324};
	p.p[8]={369.177216,351.957062};
	p.p[9]={363.350677,357.526428};
	p.p[10]={361.100647,361.100647};
	p.p[11]={361.100647,361.100647};
	p.p[12]={361.100647,361.100647};
	p.p[13]={357.897858,361.100647};
	p.p[14]={347.680176,361.100647};
	p.p[15]={336.975464,361.100647};
	p.p[16]={325.837769,361.100647};
	p.p[17]={312.730164,358.350769};
	p.p[18]={299.670410,355.140625};
	p.p[19]={286.719421,351.007904};
	p.p[20]={279.092590,365.068085};
	p.p[21]={269.029999,385.087769};
	p.p[22]={254.276535,401.595032};
	p.p[23]={236.312820,411.802368};
	p.p[24]={216.658722,419.268860};
	p.p[25]={200.849594,409.387451};
	p.p[26]={204.910782,357.809021};
	p.p[27]={206.739105,332.243591};
	p.p[28]={198.090439,332.243591};
	p.p[29]={192.070679,329.010864};
	p.p[30]={188.443909,324.026459};
	p.p[31]={179.376801,326.286621};
	p.p[32]={175.676727,324.026459};
	p.p[33]={175.676727,324.026459};
	p.p[34]={175.676727,324.026459};
	p.p[35]={174.927872,324.280792};
	p.p[36]={168.658997,323.126984};
	p.p[37]={163.616135,319.461212};
	p.p[38]={156.402664,316.002625};
	p.p[39]={148.586868,311.125580};
	p.p[40]={135.047791,307.165649};
	p.p[41]={125.448730,298.497894};
	p.p[42]={114.369972,287.911713};
	p.p[43]={112.315010,273.168762};
	p.p[44]={193.867126,253.154007};
	p.p[45]={212.971802,247.919769};
	p.p[46]={213.888290,243.923538};
	p.p[47]={213.888290,239.906143};
	p.p[48]={213.888290,235.938965};
	p.p[49]={214.958191,232.573959};
	p.p[50]={214.958191,228.879150};
	p.p[51]={216.838028,226.615097};
	p.p[52]={216.838028,223.334625};
	p.p[53]={216.838028,220.186890};
	p.p[54]={216.838028,217.187759};
	p.p[55]={216.838028,216.838028};
	p.p[56]={216.838028,216.838028};
	p.p[57]={216.838028,216.838028};
	p.p[58]={216.869247,214.068848};
	p.p[59]={216.937820,210.080383};
	p.p[60]={216.956787,204.750961};
	p.p[61]={216.938431,197.408295};
	p.p[62]={216.997925,187.007874};
	p.p[63]={211.976089,158.719315};
	p.p[64]={214.338150,133.889587};
	p.p[65]={225.070160,122.926254};
	p.p[66]={239.969055,130.942764};
	p.p[67]={252.821014,149.598465};
	p.p[68]={262.059937,164.048050};
	p.p[69]={269.095215,174.171478};
	p.p[70]={274.101074,183.437088};
	p.p[71]={278.332520,189.786484};
	p.p[72]={281.096375,196.073547};
	p.p[73]={283.000397,201.461472};
	p.p[74]={285.105652,204.977203};
	p.p[75]={285.133087,209.879776};
	p.p[76]={287.847687,210.872818};
	p.p[77]={288.006500,211.841263};
	p.p[78]={288.006500,211.841263};
	p.p[79]={288.006500,211.841263};
	p.p[80]={288.006500,213.946655};
	p.p[81]={290.160919,215.642334};
	p.p[82]={290.160919,219.552795};
	p.p[83]={301.859314,215.929306};
	p.p[84]={371.590851,182.812866};
	p.p[85]={383.071564,190.730621};
	p.p[86]={385.087769,204.610291};
	p.p[87]={385.087769,219.614029};
	p.p[88]={377.201752,235.658295};
	p.p[89]={372.201843,250.000076};
}
